Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
calls
/
{callId}
cURL
curl -X GET \
  https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/calls/{{CALL_ID}} \
  -H 'Authorization: Bearer {{TOKEN}}'
{
  "success": true,
  "data": {
    "id": "<string>",
    "direction": "inbound",
    "status": "initiated",
    "contact": {
      "id": "<string>",
      "email": "chris@sakari.io",
      "firstName": "Chris",
      "lastName": "Bloggs",
      "lists": [
        {
          "id": "<string>",
          "name": "<string>",
          "keyword": "<string>",
          "doubleOptIn": {
            "enabled": true,
            "prompt": "<string>"
          },
          "filter": {
            "q": "<string>",
            "attributes": [
              {
                "attribute": "<string>",
                "comparator": "<string>",
                "value": [
                  "<string>"
                ]
              }
            ],
            "list": "<string>",
            "valid": true,
            "invalid": true,
            "blocked": true,
            "unblocked": true,
            "optIn": true
          },
          "optInConfirmation": "<string>",
          "optIn": "2023-11-07T05:31:56Z",
          "optOut": "2023-11-07T05:31:56Z"
        }
      ],
      "attributes": {},
      "optIn": "2023-11-07T05:31:56Z",
      "blocked": "2023-11-07T05:31:56Z",
      "activecampaign": {
        "id": 123
      },
      "hubspot": {
        "id": 123
      },
      "pipedrive": {
        "id": 123
      },
      "valid": true
    },
    "phoneNumber": {
      "id": "<string>",
      "status": "<string>",
      "number": "<string>",
      "country": "<string>",
      "type": "<string>",
      "name": "<string>",
      "verified": true,
      "provider": "<string>",
      "supportedDestinations": [
        "<string>"
      ],
      "forwardTo": {},
      "universalReply": true,
      "channels": {
        "sms": {
          "active": true,
          "universalReply": true,
          "supportedDestinations": {},
          "regulatory": {
            "brandStatus": "<string>",
            "campaign": {
              "id": "<string>",
              "campaignId": "<string>",
              "useCase": "<string>"
            },
            "pft": true,
            "submitted": "2023-11-07T05:31:56Z",
            "approved": "2023-11-07T05:31:56Z",
            "rejected": "2023-11-07T05:31:56Z"
          }
        },
        "voice": {
          "active": true,
          "incoming": {
            "action": "forward",
            "forwardTo": "<string>",
            "message": "<string>",
            "transcribe": true
          },
          "features": [
            "<string>"
          ]
        },
        "whatsapp": {
          "active": true
        }
      },
      "groups": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "hosted": true
    },
    "created": {
      "at": "2023-11-07T05:31:56Z",
      "by": {
        "id": "<string>",
        "name": "Joe Bloggs",
        "firstName": "Joe",
        "lastName": "Bloggs",
        "email": "joe@bloggs.com",
        "source": "<string>",
        "subSource": "<string>"
      }
    },
    "duration": 123,
    "voicemail": true,
    "recording": true
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

callId
string
required

ID of call

Response

successful operation

success
boolean
required
data
object
required